Loading...
Searching...
No Matches
partition_probe.c File Reference

partition probe implementation More...

`#include <stdlib.h>`
`#include <string.h>`
`#include <stdint.h>`
`#include <limits.h>`
`#include <sys/statvfs.h>`
`#include <probe-api.h>`
`#include <probe/probe.h>`
`#include <probe/option.h>`
`#include <mntent.h>`
`#include "common/debug_priv.h"`
`#include "common/oscap_pcre.h"`
`#include "partition_probe.h"`
Include dependency graph for partition_probe.c:

## Macros

#define | MTAB_PATH "/proc/mounts"
#define | MTAB_LINE_MAX 4096

## Functions

int | patition_probe_offline_mode_supported (void)
int | partition_probe_main (probe_ctx *ctx, void *probe_arg)

## Variables

const char * | __OVAL_fs_types [][2]

## Detailed Description

partition probe implementation

Author
  "Daniel Kopecek" dkope.nosp@m.cek@.nosp@m.redha.nosp@m.t.co.nosp@m.m